#include <bits/stdc++.h>
#include <climits>

#include <math.h>
using namespace std;
int main()
{
    int n,k;
    vector<int>zamenjena;
    cin>>n>>k;
    int b;
    int hits[2*n+1];
    memset(hits,0,sizeof(hits));
    for(int i=0;i<n;i++){
       cin>>b;
       hits[b+n]++;
       if(hits[b+n]==k){
        zamenjena.push_back(b);
        hits[b+n]=INT_MIN;
       }
    }
    cout<<zamenjena.size()<<endl;
    for(int i=0;i<zamenjena.size();i++){
        cout<<zamenjena[i]<<" ";
    }
    return 0;
}